> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fortepayments.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Subscription

> Update a webhook subscription with specific ID.



## OpenAPI

````yaml api-reference/openapi-notifications.json PATCH /notifications/v1/subscriptions/{id}
openapi: 3.0.0
info:
  title: Forte Notifications API
  version: v1.0.0
servers:
  - url: https://sandbox-api.sandbox.lemmax.com
security:
  - authorization: []
tags:
  - name: Subscriptions
    description: Manage webhook subscriptions
  - name: Webhooks
    description: Replay webhook deliveries
paths:
  /notifications/v1/subscriptions/{id}:
    patch:
      tags:
        - Subscriptions
      summary: Update a webhook subscription.
      description: Update a webhook subscription with specific ID.
      operationId: updateSubscription
      parameters:
        - description: ID of the webhook subscription.
          example: 1f4066f8-64f0-49e4-bf00-5584e345a79b
          in: path
          name: id
          required: true
          schema:
            format: uuid
            maxLength: 36
            minLength: 36
            pattern: >-
              ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
            type: string
            x-struct: null
            x-validate: null
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/update_subscription_request'
        description: Subscription attributes.
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/update_subscription_response'
          description: Update subscriptions response.
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/unauthorized'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/not_found'
          description: Not Found
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request'
          description: Bad Request
      callbacks: {}
components:
  schemas:
    update_subscription_request:
      description: Update a webhook subscription.
      example:
        description: My webhooks
        endpoint: https://example.org/webhooks
      properties:
        description:
          description: New description for the webhook subscription.
          example: My webhooks
          maxLength: 200
          type: string
          x-struct: null
          x-validate: null
        endpoint:
          description: New endpoint for the webhook subscription.
          example: https://example.org/webhooks
          maxLength: 2500
          type: string
          x-struct: null
          x-validate: null
        version:
          description: New version for the webhook subscription.
          example: '1'
          maxLength: 20
          pattern: ^[a-zA-Z0-9]*$
          type: string
          x-struct: null
          x-validate: null
      title: update_subscription_request
      type: object
      x-struct: >-
        Elixir.ForteNotificationsSvcWeb.OpenApi.Schemas.Subscriptions.UpdateSubscriptionRequest
      x-validate: null
    update_subscription_response:
      description: Update webhook subscription response.
      example:
        data:
          description: My webhooks
          endpoint: https://example.org/webhooks
          id: f89eccda-f284-4e30-984f-2f6620238cd2
          status: enabled
          version: '1'
      properties:
        data:
          properties:
            description:
              description: The description for the webhook subscription.
              example: My webhooks
              maxLength: 200
              type: string
              x-struct: null
              x-validate: null
            endpoint:
              description: The endpoint for the webhook subscription.
              example: https://example.org/webhooks
              maxLength: 2500
              type: string
              x-struct: null
              x-validate: null
            id:
              description: ID of the webhook subscription.
              example: f66c8b15-a98c-4fd5-8bab-b14eeb7b47ed
              format: uuid
              maxLength: 36
              minLength: 36
              pattern: >-
                ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
              type: string
              x-struct: null
              x-validate: null
            status:
              description: Value to determine if subscription is enabled.
              enum:
                - enabled
                - disabled
                - deleted
              example: enabled
              type: string
              x-struct: null
              x-validate: null
            version:
              description: The version of the webhook subscription.
              example: '1'
              maxLength: 10
              type: string
              x-struct: null
              x-validate: null
          required:
            - id
            - endpoint
            - description
            - version
            - status
          type: object
          x-struct: null
          x-validate: null
      title: update_subscription_response
      type: object
      x-struct: >-
        Elixir.ForteNotificationsSvcWeb.OpenApi.Schemas.Subscriptions.UpdateSubscriptionResponse
      x-validate: null
    unauthorized:
      properties:
        error:
          properties:
            message:
              description: Extra information about the error
              example: invalid params
              maxLength: 500
              type: string
              x-struct: null
              x-validate: null
            reason:
              description: Status description
              example: Unauthorized
              maxLength: 100
              type: string
              x-struct: null
              x-validate: null
            status:
              description: HTTP status code
              example: 401
              format: int32
              type: integer
              x-struct: null
              x-validate: null
          required:
            - status
            - reason
          type: object
          x-struct: null
          x-validate: null
      required:
        - error
      title: unauthorized
      type: object
      x-struct: >-
        Elixir.ForteNotificationsSvcWeb.OpenApi.Schemas.JsonErrorResponse.unauthorized
      x-validate: null
    not_found:
      properties:
        error:
          properties:
            message:
              description: Extra information about the error
              example: invalid params
              maxLength: 500
              type: string
              x-struct: null
              x-validate: null
            reason:
              description: Status description
              example: Not Found
              maxLength: 100
              type: string
              x-struct: null
              x-validate: null
            status:
              description: HTTP status code
              example: 404
              format: int32
              type: integer
              x-struct: null
              x-validate: null
          required:
            - status
            - reason
          type: object
          x-struct: null
          x-validate: null
      required:
        - error
      title: not_found
      type: object
      x-struct: >-
        Elixir.ForteNotificationsSvcWeb.OpenApi.Schemas.JsonErrorResponse.not_found
      x-validate: null
    bad_request:
      properties:
        error:
          properties:
            message:
              description: Extra information about the error
              example: invalid params
              maxLength: 500
              type: string
              x-struct: null
              x-validate: null
            reason:
              description: Status description
              example: Bad Request
              maxLength: 100
              type: string
              x-struct: null
              x-validate: null
            status:
              description: HTTP status code
              example: 400
              format: int32
              type: integer
              x-struct: null
              x-validate: null
          required:
            - status
            - reason
          type: object
          x-struct: null
          x-validate: null
      required:
        - error
      title: bad_request
      type: object
      x-struct: >-
        Elixir.ForteNotificationsSvcWeb.OpenApi.Schemas.JsonErrorResponse.bad_request
      x-validate: null
  securitySchemes:
    authorization:
      description: '`access_token` returned by the `/auth/v1/oauth2/tokens` API call.'
      scheme: bearer
      type: http

````